#!/bin/sh
#Script to build Fusion by Yan Wang in MediaTek

if [ true ]; then

	export DEST_DIR=$(pwd)/../../../library/linux-fusion/linux-fusion-8.2.0
   
	if [ -z ${MAKE}];then
		MAKE="make"
	fi

	${MAKE}

	MAKE_RET=$?
	if [ "$?" -eq 0 ]
	then
		if [ ! -e ${DEST_DIR} ]; then
			mkdir -p ${DEST_DIR}
		fi
		cp -f linux/drivers/char/fusion/fusion.ko ${DEST_DIR}
		cp -frp linux/include/ ${DEST_DIR}
		echo -e "\033[40;32mFusion Build Success\033[0m"
		exit $MAKE_RET
	else
		echo -e "\033[40;31mFusion Build Fail...($MAKE_RET)\033[0m"
		exit $MAKE_RET
	fi

else
	echo -e "\033[40;31mDirectFB is not supported!\033[0m"
	echo -e "\033[40;31mNo need to build Fusion!\033[0m"
	exit 0
fi
